Bug 596519 - System logout on screensaver activation
System logout on screensaver activation
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 17:10 EDT by Greg Krpan
Modified: 2011-06-27 12:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 12:45:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg output (38.62 KB, text/plain)
2010-05-26 17:10 EDT, Greg Krpan
no flags Details

  None (edit)
Description Greg Krpan 2010-05-26 17:10:39 EDT
Created attachment 417031 [details]
dmesg output

Description of problem:
Laptop logs out user when screensaver activates or system goes into suspend mode.  Manual activation of screenlock appears to function normally, but closing the laptop or allowing the system to activate the screensaver upon idle causes logout of current user and termination of all user processes.

Version-Release number of selected component (if applicable):
gnome-screensaver-2.30.0-1.fc13.x86_64

How reproducible:
Allow system to enter screensaver upon idle time reached

or

Close laptop to place system into suspend

Steps to Reproduce:
1. Leave system idle with screensaver enabled.
2. When idle time reached, system starts screensaver and logs out user

or

1. Close laptop lid
2. System goes to suspend
3. User will be logged out upon opening lid.
  
Actual results:


Expected results:


Additional info:
Fedora 13 x86_64 upgraded from Fedora 11 x86_64.  Problem began immediately.
Comment 1 Bug Zapper 2011-06-02 09:20:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Admin XMLRPC Client 2011-06-21 12:01:17 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2011-06-27 12:45:12 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.